net.sf.jasperreports.engine.fill

## Class JRFillGraphicElement

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRFillElement
  - - net.sf.jasperreports.engine.fill.JRFillGraphicElement

- All Implemented Interfaces:
    java.lang.Cloneable, DynamicPropertiesHolder, JRFillCloneable, JRChild, JRCloneable, JRCommonElement, JRCommonGraphicElement, JRElement, JRGraphicElement, JRIdentifiable, JRPenContainer, JRPropertiesHolder, JRStyleContainer, JRStyleSetter, JRVisitable
  Direct Known Subclasses:
    JRFillEllipse, JRFillImage, JRFillLine, JRFillRectangle

      public abstract class JRFillGraphicElement
      extends JRFillElement
      implements JRGraphicElement

  Version:
    $Id: JRFillGraphicElement.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRPen` | `initPen`
    `protected JRPen` | `pen`

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.JRFillElement

      `band, conditionalStylesContainer, currentEvaluation, currentStyle, defaultStyleProvider, delayedEvaluationsMap, dynamicProperties, dynamicTransferProperties, elementGroup, expressionEvaluator, fillContainerContext, filler, initStyle, mergedProperties, originProvider, parent, printElementOriginator, printWhenGroupChanges, propertyExpressions, providerStyle, staticProperties, styleProviders, templates`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRFillGraphicElement(JRBaseFiller filler, JRGraphicElement graphicElement, JRFillObjectFactory factory)`
    `protected` | `JRFillGraphicElement(JRFillGraphicElement graphicElement, JRFillCloneFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `evaluateStyle(byte evaluation)`
    `java.awt.Color` | `getDefaultLineColor()`
    `java.lang.Float` | `getDefaultLineWidth()`
    `FillEnum` | `getFillValue()` Indicates the fill type used for this element.
    `JRPen` | `getLinePen()`
    `FillEnum` | `getOwnFillValue()` Indicates the own fill type used for this element.
    `protected boolean` | `prepare(int availableHeight, boolean isOverflow)`
    `void` | `rewind()`
    `void` | `setFill(FillEnum fill)` Sets the fill type used for this element.

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRFillElement

      `addDependantElement, addDynamicProperty, clone, clone, clone, collectDelayedEvaluations, collectDelayedEvaluations, collectDelayedEvaluations, collectStyleDelayedEvaluations, collectStyleProviderDelayedEvaluations, createElementTemplate, delayedEvaluate, delayedEvaluationUpdatesTemplate, evaluate, evaluateExpression, evaluatePrintWhenExpression, evaluateProperties, fill, getBackcolor, getBand, getConditionalStylesContainer, getDefaultStyleProvider, getDependantElements, getDynamicProperties, getElementGroup, getElementOrigin, getElementTemplate, getEvaluatedProperties, getEvaluationTimeValue, getField, getFiller, getForecolor, getGroupElements, getHeight, getInitStyle, getKey, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getParent, getParentProperties, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertiesMap, getPropertyExpressions, getRelativeY, getStretchHeight, getStretchTypeValue, getStyle, getStyleNameReference, getTemplate, getUUID, getVariable, getWidth, getX, getY, hasDynamicProperties, hasDynamicProperty, hasProperties, initDelayedEvaluationPrint, initDelayedEvaluations, initStyleProviders, isAlreadyPrinted, isAutoEvaluateNow, isDelayedStyleEvaluation, isEvaluateAuto, isEvaluateNow, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isPrintWhenExpressionNull, isPrintWhenTrue, isRemoveLineWhenBlank, isReprinted, isToPrint, isValueRepeating, moveDependantElements, performDelayedEvaluation, registerTemplate, reset, resolveElement, resolveElement, setAlreadyPrinted, setBackcolor, setBand, setConditionalStylesContainer, setCurrentEvaluation, setExpressionEvaluator, setForecolor, setHeight, setMode, setOriginProvider, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setPrintWhenExpressionNull, setPrintWhenTrue, setRelativeY, setRemoveLineWhenBlank, setReprinted, setShrinkable, setStretchHeight, setStretchType, setStyle, setStyleNameReference, setToPrint, setValueRepeating, setWidth, setX, setY, stretchElement, stretchElementToHeight, stretchHeightFinal, transferProperties, transferProperties`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElement

      `clone, collectExpressions, getElementGroup, getKey, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertyExpressions, getStretchTypeValue, getX, getY, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setWidth, setX`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChild

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRVisitable

      `visit`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder

      `getParentProperties, getPropertiesMap, hasProperties`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRIdentifiable

      `getUUID`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement

      `getBackcolor, getForecolor, getHeight, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getWidth, setBackcolor, setForecolor, setMode`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

    - ### Methods inherited from interface net.sf.jasperreports.engine.fill.JRFillCloneable

      `createClone`

- - ### Field Detail

    - #### initPen

          protected final JRPen initPen

    - #### pen

          protected JRPen pen

  - ### Constructor Detail

    - #### JRFillGraphicElement

          protected JRFillGraphicElement(JRBaseFiller filler,
                              JRGraphicElement graphicElement,
                              JRFillObjectFactory factory)

    - #### JRFillGraphicElement

          protected JRFillGraphicElement(JRFillGraphicElement graphicElement,
                              JRFillCloneFactory factory)

  - ### Method Detail

    - #### evaluateStyle

          protected void evaluateStyle(byte evaluation)
                                throws JRException

      Overrides:
        `evaluateStyle` in class `JRFillElement`
      Throws:
        `JRException`

    - #### getLinePen

          public JRPen getLinePen()

      Specified by:
        `getLinePen` in interface `JRCommonGraphicElement`

    - #### getFillValue

          public FillEnum getFillValue()

      Description copied from interface: `JRCommonGraphicElement`
      Indicates the fill type used for this element.
      Specified by:
        `getFillValue` in interface `JRCommonGraphicElement`
      Returns:
        a value representing one of the fill type constants in `FillEnum`

    - #### getOwnFillValue

          public FillEnum getOwnFillValue()

      Description copied from interface: `JRCommonGraphicElement`
      Indicates the own fill type used for this element.
      Specified by:
        `getOwnFillValue` in interface `JRCommonGraphicElement`
      Returns:
        a value representing one of the fill type constants in `FillEnum`

    - #### setFill

          public void setFill(FillEnum fill)

      Description copied from interface: `JRCommonGraphicElement`
      Sets the fill type used for this element.
      Specified by:
        `setFill` in interface `JRCommonGraphicElement`
      Parameters:
        `fill` - a value representing one of the line direction constants in `FillEnum`

    - #### getDefaultLineWidth

          public java.lang.Float getDefaultLineWidth()

      Specified by:
        `getDefaultLineWidth` in interface `JRPenContainer`

    - #### getDefaultLineColor

          public java.awt.Color getDefaultLineColor()

      Specified by:
        `getDefaultLineColor` in interface `JRPenContainer`

    - #### rewind

          public void rewind()

      Specified by:
        `rewind` in class `JRFillElement`

    - #### prepare

          protected boolean prepare(int availableHeight,
                        boolean isOverflow)
                             throws JRException

      Overrides:
        `prepare` in class `JRFillElement`
      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com